pbuilder-user-mode-linux(1)

NAME
pbuilder-user-mode-linux - personal package builder in UML

SYNOPSIS
pbuilder-user-mode-linux create [options]

pbuilder-user-mode-linux update [options]

pbuilder-user-mode-linux build [options] .dsc-file

pbuilder-user-mode-linux execute [options] script

pbuilder-user-mode-linux login [options]

DESCRIPTION
Front end program to the pbuilder suite of programs, used for creating and maintaining user-mode-linux environment and building Debian package within the user-mode-linux virtual machine environment.

Unlike pbuilder , pbuilder-user-mode-linux does not require root privilege to run. It should be ran under a normal user.

OPTIONS

create
    Creates a user-mode-linux root image for the specified distribution using rootstrap software

update
    Updates the user-mode-linux root image for the specified distribution. Also, by specifying the --distribution option, it is possible to switch the distribution. Specify a dummy distribution value even for custom apt config files.

build
    Builds the package specified by .dsc-file within the user-mode-linux environment.

login
    Invokes shell within UML.

dumpconfig
    dumps configuration information about user-mode-linux, used for debugging.

execute
    Invokes a command or script inside UML. execute will copy the specified file into the UML system, and run it.

    The remaining command-line arguments are passed on to the script.

--uml-image [UML image]
    Specify the UML image to use.

--eth0 [uml option for eth0]
    Specify this option as parameter to UML.

    Specify --eth0=slirp,12345,/usr/bin/slirp-fullbolt to use the slirp connection.

--uml-ip [IP inside UML]
    Specify this to set the IP inside UML.

    This can be set to dhcp for obtaining IP address through DHCP.

--uml-netmask [netmask]
    The netmask.

--uml-network [network]
    The network address.

--uml-broadcast [broadcast]
    The broadcast address.

--uml-gateway [gateway]
    The gateway address.

--mount-tmpfs [yes]
    Specify whether to mount tmpfs inside UML chroot.

--uml-hostname [uml-host]
    The hostname inside uml.

--distribution [sid]
    Specify the distribution. see pbuilder(8)

--binary-arch
    Specify only to build binary-arch targets. see pbuilder(8)

--timeout timeouttime
    Timeout build after specified time. see pbuilder(8)

--configfile config file to read
    Makes pbuilder to read the config file inside UML. pbuilder-user-mode-linux itself would be affected by the contents of the config file.

--hookdir location of hooks
    Makes pbuilder use the specified hookdir inside UML.

--aptconfdir apt configuretion directory
    Makes pbuilder to use specified apt configuration directory instead of other settings. See pbuilder(8)

--override-config
    Specify this option along with --distribution to switch distribution using pbuilder-user-mode-linux update

--logfile logfilename
    Specify this option to make the output go to logfilename as well as standard output.

--buildresult /dir/to/build/result
    The directory where build result is placed to

--uml-debugmode
    Enable tracing of shell scripts used by pbuilder-user-mode-linux.

--bindmounts /dir/to/bind-mount
    Bind-mount the directory inside the chroot inside the user-mode-linux.

--buildplace place-to-put-COW-file
    Specify the directory to place the COW file. The user needs to be able to access that directory, and the directory must exist.

--uml-login-nocow
    Do not use COW filesystem when using pbuilder-user-mode-linux login so that changes made in the log in session will persist.

    Effective in login and exec options.

--mirror [mirror location]
    Specifies the URL of Debian mirror to be specified in sources.list inside the chroot. This option is only valid when distribution is being specified, for update and build targets. The format is something like: http://http.us.debian.org/debian which should point to your favourite mirror.

    This option can optionally be omitted, and left blank, in which case, this part is skipped.

    Note that these URLs specified to pbuilder will be used from within the chroot, and specifying file:/somewhere/ will most probably fail.

--othermirror [deb http://xxx/xxx/ ./ | other deb lines... ]
    The lines which is added to the sources.list, delimited with | Like deb http://local/mirror stable main|deb file:/usr/local/mirror ./

    The deb lines here are the ones that will appear at the top of the sources.list inside the chroot. Be sure to follow the syntax rules of sources.list(5). These lines appear at the beginning of the constructed sources file, so this is the place to list your local mirror sites; apt will then use them in preference to the ones listed in --mirror .

    These options are only valid when --override-config option is specified in update target, or when pbuilder create is being called.

NOTES
For build and login targets, pbuilder-user-mode-linux will try to use COW devices.

Inside user-mode-linux, pbuilder-user-mode-linux will mount tmpfs as /tmp to avoid temporary file race conditions with outside of UML. This may cause problems trying to use files in /tmp directory.

FILES

/etc/pbuilderrc
    The system-wide configuration file for pbuilder.

/usr/share/pbuilder/pbuilderrc
    The default settings for pbuilder, used as fallback for all values that is not specified in /etc/pbuilderrc.

/etc/pbuilder/pbuilder-uml.conf
    System-wide configuration file for pbuilder-uml, it will take priority over pbuilder configurations.

/usr/share/pbuilder/pbuilder-uml.conf
    Software-default configuration file for pbuilder-uml.

${HOME}/.pbuilderrc
    User-default configuration file.

SEE ALSO
/usr/share/doc/pbuilder/pbuilder-doc.html, pdebuild(1), pbuilder(8), rootstrap(1), linux(1), pbuilderrc(5), pbuilder-uml.conf(5)